/* :root {
    /* Color Palette *
    --main-color: #3d211adf;
    --sec-color: #050505;
    --light-color: #DECBB7;
    --sec-light-color: #6f4d38;
    --txt-color: #A07856;
    --drk-color: #050505;
    --drk-brown: #100505;
    font-size: 18px;
} */

:root {
    /* Color Palette (tercera)*/
    /* --main-color: #36aeee; */
    --main-color: rgb(33, 151, 208);
    --sec-color: #050505;
    --light-color: #f0ffff;
    --sec-light-color: #050505;
    --txt-color: #c0fffe;
    --drk-color: #050505;
    --drk-brown: #00050d;
    font-size: 18px;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: inherit;
}

body {
    background-color: var(--sec-color);
    color: var(--txt-color);
    font-family: Montserrat, sans-serif;
    overflow: overlay;
    overflow-x: hidden;
    min-height: 100dvh;
    display: flex;
    flex-direction: column;
}

body::-webkit-scrollbar-thumb {
    background-color: #fff2;
    border-radius: 1rem;
}

body::-webkit-scrollbar-thumb:hover {
    background-color: #fff4;
}

body::-webkit-scrollbar {
    width: .4rem;
}


/* Header Section */
header {
    color: var(--light-color);
    padding: 3rem 1rem;
    text-align: center;
}

h1 {
    font-size: 2rem;
    color: var(--txt-color);
    text-shadow: 0 0 4px var(--sec-light-color);
}

header p {
    font-style: italic;
    font-size: 1rem;;
}

/* Main Section - Projects Section*/

#projects {
    /* background-color: var(--drk-color); */
    /* background-color:  var(--drk-brown); */
    background-image: linear-gradient(to bottom, var(--drk-brown) 60%, var(--drk-color));
    color: var(--txt-color);
    padding: 0 0 2rem 0;
    padding-bottom: 12rem;
}

#projects h2 {
    margin-bottom: 2rem;
    margin-right: 1rem;
    display: flex;
    text-shadow: 0 0 4px var(--sec-light-color);
    /* animation: welcome-animation-3 1s both; */
}

#projects h2 span {
    flex: 1;
}

#projects h2 span:nth-child(2), #projects h2 span:first-child {
    background-color: var(--main-color);
    padding: 1rem;
}


.project-container {
    max-width: 1000px;
    margin: auto;
    display: grid;
    grid-template-columns: repeat(4,1fr);
    grid-auto-rows: 200px;
    gap: .4rem;
    padding: 0 .4rem .4rem .4rem;
}

.project {
    position: relative;
}


.project:first-child {
    grid-area: span 2 / span 2;
}

.project:nth-child(2) {
    grid-area: span 1 / span 2;
}

.project:nth-child(4) {
    grid-area: span 2 / span 1;
}

.project:nth-child(6) {
    grid-area: span 2 / span 2;
}

.project-img {
    height: 100%;
}

.project-img img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    filter: brightness(.4);
    transition: filter .6s;
}

.project-img img:hover {
    filter: none;
}

.see-more {
    display: grid;
    place-content: center;
    padding: 1rem 0;
}

.see-more a {
    background-color: var(--txt-color);
    padding: .6rem 1rem;
    text-decoration: none;
    color: var(--drk-color);
    font-weight: 500;
}

.see-more a:hover {
    filter: drop-shadow(0 0 1rem var(--main-color));
}

.project-title {
    position: absolute;
    bottom: 0;
    left: 0;
    background-color: #0009;
    width: 100%;
    text-decoration: none;
    color: var(--txt-color);
    text-align: center;
    padding: .6rem 1rem;
    font-weight: normal;
    font-size: 1rem;
}

.project-tech {
    position: absolute;
    top: 0;
    right: 0;
    display: flex;
    gap: .1rem;
    padding: .1rem;
}

.tech-icon {
    width: 1.6rem;
    background-color: #0009;
}
.tech-icon img  {
    display: block;
    width: 100%;
}
.tech-icon--css {
    padding: .2rem;
}


/* Footer Section*/
footer {
    background-color: var(--drk-color);
    color: var(--txt-color);
    padding: 6rem 3rem;
    display: flex;
    justify-content: space-between;
    position: relative;
    margin-top: 6rem;
}

footer::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    border-top: 1px solid var(--txt-color);
}

footer h3 {
    font-weight: normal;
    font-size: 1rem;
}

.about_desc__social {
    display: flex;
    gap: 1rem;
    justify-content: end;
}

.social-m {
    width: 2rem;
    height: 2rem;
}


.social-m img {
    display: block;
    width: 100%;
    height: 100%;
    filter: grayscale() invert() brightness(6);
    opacity: .6;
}

.social-m img:hover {
    opacity: 1;
}